SolidWorks机械工程师网——最大的SolidWorks学习平台

 找回密码
 立即注册

QQ登录

只需一步,快速开始

嘉立创
三泽信息

facelist

您需要登录后才可以留言 登录 | 立即注册


design100 2021-8-5 10:27
久久不上线,版主被撤了还不知道.

看来是我失职了

有什么需要可以多多指教。
sun12249 2019-4-24 14:29
大神 我可以加一下你微信 或者qq吗? 我很着急,过几天就要交毕设了!
sun12249 2019-4-24 14:28
大神,我画了一个法兰盘,运到了草图圆周阵列的命令,用宏命令录制了,但是再运行怎么也不可以,这个怎么办啊 我用的是woildworks2016版本的。以下是我录制的代码
Sub main()
Set swApp = _
Application.SldWorks
Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("前视基准面", "PLANE", 0, 0, 0, False, 0, Nothing, 0)
Part.SketchManager.InsertSketch True
Part.ClearSelection2 True
Dim skSegment As Object
'建圆
Set skSegment = Part.SketchManager.CreateCircle(0#, 0#, 0#, 0.023011, -0.077973, 0#)
Part.ClearSelection2 True
'建孔并草图圆周阵列
Set skSegment = Part.SketchManager.CreateCircle(0#, 0.051154, 0#, 0.003476, 0.036586, 0#)
boolstatus = Part.SketchManager.EditCircularSketchStepAndRepeat(5.11541824405589E-02, 4.71238898038473, 5, 1.25663706143592, True, "", False, False, True, "圆弧2_")
Part.ShowNamedView2 "*上下二等角轴测", 8
'整体拉伸
Part.ClearSelection2 True
boolstatus = Part.Extension.SelectByID2("Arc2", "SKETCHSEGMENT", 0, 0, 0, False, 0, Nothing, 0)
Dim myFeature As Object
Set myFeature = Part.FeatureManager.FeatureExtrusion2(True, False, False, 0, 0, 0.015, 0.01, False, False, False, False, 1.74532925199433E-02, 1.74532925199433E-02, False, False, False, False, True, True, True, 0, 0, False)
Part.SelectionManager.EnableContourSelection = False
End Sub
sun12249 2019-4-24 14:20
大神 我需要跟你请教soildwork 二次开发的问题,你能加下我qq吗? 1042324980
design100 2018-1-10 10:18
每天上来看看,有问题请提出!
design100 2017-9-25 13:31
哎!股票又跌
design100 2017-9-13 14:37
++

Nice Work! Well Done!
是不是病毒??
design100 2017-4-22 15:05
我不是大神不是大师,但是我乐于解决问题?
design100 2016-4-14 15:24
每样学一点,多少懂一点
在线成语大词典 歇后语网 绕口令网 谜语网 脑筋急转弯网 算命网 名人轶事网 Solidworks机械工程师网 在线生成透明ICO图标
关闭 卷起
关闭 卷起

手机版|小黑屋| GMT+8, 2022-12-1 22:40 , Processed in 1.296875 second(s), 14 queries , Memcache On.

SolidWorks机械工程师网 ( 鲁ICP备14025122号-2 ) 鲁公网安备 37028502190335号

声明:本网言论纯属发表者个人意见,与本网立场无关。
如涉版权,可发邮件: admin@swbbsc.com

返回顶部